Bug 158597 - CDDBSlave2 crashes if you take too long to choose
CDDBSlave2 crashes if you take too long to choose
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-23 16:36 EDT by Warren Togami
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-05-23 16:36:07 EDT
Description of problem:
/usr/libexec/CDDBSlave2 crashes if you take too long to choose a CD from
multiple matching ID's.  The connection probably timed out and it doesn't handle
that.

Version-Release number of selected component (if applicable):
gnome-media-2.10.2-2
Comment 1 Bastien Nocera 2007-04-05 05:49:57 EDT
Could you please attach a backtrace of the crash?
Comment 2 Robert McLachlan 2007-10-09 17:04:37 EDT
System: Linux 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 23089152 vsize: 23089152 resident: 6770688 share: 5701632
rss: 6770688 rss_rlim: 4294967295
CPU usage: start_time: 1191942533 rtime: 5 utime: 3 stime: 2 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/CDDBSlave2'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208248608 (LWP 4850)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0012d402 in __kernel_vsyscall ()
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x0073ed13 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x44c0aa46 in g_free () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0804e489 in ?? ()
#5  0x006e7ecd in ?? () from /lib/libglib-2.0.so.0
#6  0x006be7f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#7  0x006c17cf in ?? () from /lib/libglib-2.0.so.0
#8  0x006c1b79 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9  0x44cef7e3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#10 0x08052499 in main ()

Thread 1 (Thread -1208248608 (LWP 4850)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0073ed13 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x44c0aa46 in g_free () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0804e489 in ?? ()
No symbol table info available.
#5  0x006e7ecd in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x006be7f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x006c17cf in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#8  0x006c1b79 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x44cef7e3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#10 0x08052499 in main ()
No symbol table info available.
#0  0x0012d402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (23 sec old) ---------------------
                 Transport error: Device busy
                 System error: Device or resource busy
scsi_read error: sector=198 length=1 retry=7
                 Sense key: 2 ASC: 3a ASCQ: 0
                 Transport error: Device busy
                 System error: Device or resource busy
scsi_read error: sector=198 length=1 retry=8
                 Sense key: 2 ASC: 3a ASCQ: 0
                 Transport error: Device busy
                 System error: Device or resource busy
scsi_read error: sector=222 length=24 retry=0
                 Sense key: 2 ASC: 3a ASCQ: 0
                 Transport error: Device busy
...Too much output, ignoring rest...
--------------------------------------------------
Comment 3 Bastien Nocera 2007-10-09 17:22:14 EDT
Could you please reproduce the problem with the appropriate debuginfo packages
installed, as per http://fedoraproject.org/wiki/StackTraces ?

The stack trace is unusable as is.
Comment 4 Bug Zapper 2008-04-03 12:10:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:10:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.